//+------------------------------------------------------------------+
//|                                                  OpenCloseMA.mq4 |
//+------------------------------------------------------------------+
//+------------------------------------ ------------------------------+
//| TypicalPriceOpenClose.mq4                                         |
//| Copyright  2008, MetaQuotes Software Corp.                       |
//| http://www.metaquotes.net                                         |
//+------------------------------------ ------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Gold
#property indicator_width1 2 

extern int MA.Period = 1;
extern int MA.Method = 0;
 
//---- buffers
double ExtMapBuffer1[];
//+------------------------------------ ------------------------------+
//| Custom indicator initialization function |
//+------------------------------------ ------------------------------+
int init()
{
//---- indicators
SetIndexStyle(0,DRAW_LINE);
SetIndexBuffer(0,ExtMapBuffer1);


//----
return(0);
}
//+------------------------------------ ------------------------------+
//| Custom indicator deinitialization function |
//+------------------------------------ ------------------------------+
int deinit()
{
//----

//----
return(0);
}
//+------------------------------------ ------------------------------+
//| Custom indicator iteration function |
//+------------------------------------ ------------------------------+
int start()
{
int limit = Bars - IndicatorCounted();

for(int i = limit; i >= 0; i--){
double OpenMA = iMA(NULL,0,MA.Period,0,MA.Method,0,i);
double CloseMA = iMA(NULL,0,MA.Period,0,MA.Method,1,i);
ExtMapBuffer1[i] = (OpenMA+CloseMA)/2.0;
}

return(0);
}